<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classTIGLContainersBiVertex-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__data__structures.html">Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Core vertex class with input and output edge buffers.  
 <a href="classTIGLContainersBiVertex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglContainersBivertex_8hpp_source.html">tiglContainersBivertex.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classTIGLContainersBiVertex.png" usemap="#TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;_map" alt=""/>
  <map id="TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;_map" name="TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;_map">
<area href="classTIGLContainersBiVertexBase.html" title="A vertex class with both input and output edges lists. " alt="TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;" shape="rect" coords="0,56,448,80"/>
<area href="classTIGLContainersVertexBase.html" title="Core vertex class. " alt="TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;" shape="rect" coords="0,0,448,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a80d326c55fd83c56f8488c4ceeb1b9e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80d326c55fd83c56f8488c4ceeb1b9e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertex.html#a80d326c55fd83c56f8488c4ceeb1b9e1">vote_to_halt</a> ()</td></tr>
<tr class="memdesc:a80d326c55fd83c56f8488c4ceeb1b9e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deactivate the vertex. <br /></td></tr>
<tr class="separator:a80d326c55fd83c56f8488c4ceeb1b9e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a509ef025dc764f949fcc25dd06f1ed2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a509ef025dc764f949fcc25dd06f1ed2f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertex.html#a509ef025dc764f949fcc25dd06f1ed2f">isActive</a> ()</td></tr>
<tr class="memdesc:a509ef025dc764f949fcc25dd06f1ed2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if vertex is active. <br /></td></tr>
<tr class="separator:a509ef025dc764f949fcc25dd06f1ed2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31708953e6e00e68a90db2fd9176f34c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31708953e6e00e68a90db2fd9176f34c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertex.html#a31708953e6e00e68a90db2fd9176f34c">activate</a> ()</td></tr>
<tr class="memdesc:a31708953e6e00e68a90db2fd9176f34c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Activate the vertex. <br /></td></tr>
<tr class="separator:a31708953e6e00e68a90db2fd9176f34c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classTIGLContainersBiVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classTIGLContainersBiVertexBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td></tr>
<tr class="memitem:afd76ce0d0b3abcb3d639041db92c4f1b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd76ce0d0b3abcb3d639041db92c4f1b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#afd76ce0d0b3abcb3d639041db92c4f1b">addInEdge</a> (EdgeType &amp;x)</td></tr>
<tr class="memdesc:afd76ce0d0b3abcb3d639041db92c4f1b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an input edge. <br /></td></tr>
<tr class="separator:afd76ce0d0b3abcb3d639041db92c4f1b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a442d0b79dda8ef28c14862392a2374 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#a8a442d0b79dda8ef28c14862392a2374">addInEdge</a> (IdType &amp;src)</td></tr>
<tr class="separator:a8a442d0b79dda8ef28c14862392a2374 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0115e80a8874748ad4252a8f5381c9ca inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#a0115e80a8874748ad4252a8f5381c9ca">addInEdge</a> (vector&lt; EdgeType &gt; &amp;x)</td></tr>
<tr class="separator:a0115e80a8874748ad4252a8f5381c9ca inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fee3ae0da7b58798d13a8c10869618b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7fee3ae0da7b58798d13a8c10869618b"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#a7fee3ae0da7b58798d13a8c10869618b">removeInEdge</a> (IdType src)</td></tr>
<tr class="memdesc:a7fee3ae0da7b58798d13a8c10869618b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes an input edge. <br /></td></tr>
<tr class="separator:a7fee3ae0da7b58798d13a8c10869618b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ac3cce1c4574f7e25a0c2a9f1106f4 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2ac3cce1c4574f7e25a0c2a9f1106f4"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#ad2ac3cce1c4574f7e25a0c2a9f1106f4">get_num_in_edges</a> ()</td></tr>
<tr class="memdesc:ad2ac3cce1c4574f7e25a0c2a9f1106f4 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of input edges. <br /></td></tr>
<tr class="separator:ad2ac3cce1c4574f7e25a0c2a9f1106f4 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91457417dfa5e01096f9a15dc1276c7b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#a91457417dfa5e01096f9a15dc1276c7b">get_parents</a> (vector&lt; IdType &gt; &amp;vectParents)</td></tr>
<tr class="memdesc:a91457417dfa5e01096f9a15dc1276c7b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns id of all parents.  <a href="#a91457417dfa5e01096f9a15dc1276c7b">More...</a><br /></td></tr>
<tr class="separator:a91457417dfa5e01096f9a15dc1276c7b inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19bca89caf25c70456b2081ca58fa9a inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae19bca89caf25c70456b2081ca58fa9a"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#ae19bca89caf25c70456b2081ca58fa9a">getEdgesSize</a> ()</td></tr>
<tr class="memdesc:ae19bca89caf25c70456b2081ca58fa9a inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the memory allocated for edge buffers. <br /></td></tr>
<tr class="separator:ae19bca89caf25c70456b2081ca58fa9a inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8628c653f7331dcc601d0162a934ee16 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8628c653f7331dcc601d0162a934ee16"></a>
IN_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#a8628c653f7331dcc601d0162a934ee16">getBeginInEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a8628c653f7331dcc601d0162a934ee16 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns pointer to the start of the input edge buffer. <br /></td></tr>
<tr class="separator:a8628c653f7331dcc601d0162a934ee16 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab86217a05415aa2438ccb4b530c5e6ab inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab86217a05415aa2438ccb4b530c5e6ab"></a>
IN_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#ab86217a05415aa2438ccb4b530c5e6ab">getEndInEdgeIterator</a> ()</td></tr>
<tr class="memdesc:ab86217a05415aa2438ccb4b530c5e6ab inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns pointer to the end of the input edge buffer. <br /></td></tr>
<tr class="separator:ab86217a05415aa2438ccb4b530c5e6ab inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab244b4eda4614655b1672b9190c0f3f2 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#ab244b4eda4614655b1672b9190c0f3f2">isBiVertex</a> ()</td></tr>
<tr class="memdesc:ab244b4eda4614655b1672b9190c0f3f2 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if <a class="el" href="classTIGLContainersBiVertex.html" title="Core vertex class with input and output edge buffers. ">TIGLContainersBiVertex</a>.  <a href="#ab244b4eda4614655b1672b9190c0f3f2">More...</a><br /></td></tr>
<tr class="separator:ab244b4eda4614655b1672b9190c0f3f2 inherit pub_methods_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classTIGLContainersVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classTIGLContainersVertexBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td></tr>
<tr class="memitem:ab12e0c19620ff872c8b793ff001f022b inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ab12e0c19620ff872c8b793ff001f022b">TIGLContainersVertexBase</a> (IdType key)</td></tr>
<tr class="memdesc:ab12e0c19620ff872c8b793ff001f022b inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab12e0c19620ff872c8b793ff001f022b">More...</a><br /></td></tr>
<tr class="separator:ab12e0c19620ff872c8b793ff001f022b inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c2b931b7f439a72da6baaadbb6f753d inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a0c2b931b7f439a72da6baaadbb6f753d">TIGLContainersVertexBase</a> (IdType key, DataType data, AlgDataType alg)</td></tr>
<tr class="memdesc:a0c2b931b7f439a72da6baaadbb6f753d inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded constructor.  <a href="#a0c2b931b7f439a72da6baaadbb6f753d">More...</a><br /></td></tr>
<tr class="separator:a0c2b931b7f439a72da6baaadbb6f753d inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3887a721638627b063306724ad8cf22b inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3887a721638627b063306724ad8cf22b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a3887a721638627b063306724ad8cf22b">TIGLContainersVertexBase</a> ()</td></tr>
<tr class="memdesc:a3887a721638627b063306724ad8cf22b inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded empty constructor. <br /></td></tr>
<tr class="separator:a3887a721638627b063306724ad8cf22b inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a260b170afbb1f183b7d6247a148fea83 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a260b170afbb1f183b7d6247a148fea83"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a260b170afbb1f183b7d6247a148fea83">operator&lt;</a> (const <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt; DataType, AlgDataType, EdgeType, IdType &gt; &amp;rhs) const </td></tr>
<tr class="memdesc:a260b170afbb1f183b7d6247a148fea83 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded operator for list ordering. <br /></td></tr>
<tr class="separator:a260b170afbb1f183b7d6247a148fea83 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1f818aadbfdd77acf6eb5974339b582 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1f818aadbfdd77acf6eb5974339b582"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ac1f818aadbfdd77acf6eb5974339b582">operator==</a> (const <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase</a>&lt; DataType, AlgDataType, EdgeType, IdType &gt; &amp;rhs) const </td></tr>
<tr class="memdesc:ac1f818aadbfdd77acf6eb5974339b582 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded equal operator for list ordering. <br /></td></tr>
<tr class="separator:ac1f818aadbfdd77acf6eb5974339b582 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cc87d2b4157b298460486dab71dfb44 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a7cc87d2b4157b298460486dab71dfb44">addEdge</a> (EdgeType &amp;x)</td></tr>
<tr class="memdesc:a7cc87d2b4157b298460486dab71dfb44 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds output edge.  <a href="#a7cc87d2b4157b298460486dab71dfb44">More...</a><br /></td></tr>
<tr class="separator:a7cc87d2b4157b298460486dab71dfb44 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d6b5c292809922673ceb6fdb188b6b3 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a2d6b5c292809922673ceb6fdb188b6b3">addEdge</a> (ID_TYPE &amp;target)</td></tr>
<tr class="memdesc:a2d6b5c292809922673ceb6fdb188b6b3 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds output edge (overloaded function)  <a href="#a2d6b5c292809922673ceb6fdb188b6b3">More...</a><br /></td></tr>
<tr class="separator:a2d6b5c292809922673ceb6fdb188b6b3 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9dc66486575edee5b2901b6fa01b370 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ae9dc66486575edee5b2901b6fa01b370">addEdge</a> (OUT_EDGE_BUF &amp;x)</td></tr>
<tr class="memdesc:ae9dc66486575edee5b2901b6fa01b370 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds multiple ouput edges.  <a href="#ae9dc66486575edee5b2901b6fa01b370">More...</a><br /></td></tr>
<tr class="separator:ae9dc66486575edee5b2901b6fa01b370 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a355bc674650678249bd53adc12f1cb4d inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a355bc674650678249bd53adc12f1cb4d">removeEdge</a> (IdType &amp;target)</td></tr>
<tr class="memdesc:a355bc674650678249bd53adc12f1cb4d inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes an output edge identified by target node.  <a href="#a355bc674650678249bd53adc12f1cb4d">More...</a><br /></td></tr>
<tr class="separator:a355bc674650678249bd53adc12f1cb4d inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae54bd25069156c7ff89a9907f2167b24 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae54bd25069156c7ff89a9907f2167b24"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ae54bd25069156c7ff89a9907f2167b24">clearEdges</a> ()</td></tr>
<tr class="memdesc:ae54bd25069156c7ff89a9907f2167b24 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears all output edges. <br /></td></tr>
<tr class="separator:ae54bd25069156c7ff89a9907f2167b24 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8aa2da8ab2f06ff33fb499ee42b228ce inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8aa2da8ab2f06ff33fb499ee42b228ce"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a8aa2da8ab2f06ff33fb499ee42b228ce">getNumOutEdges</a> ()</td></tr>
<tr class="memdesc:a8aa2da8ab2f06ff33fb499ee42b228ce inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the total number of output edges. <br /></td></tr>
<tr class="separator:a8aa2da8ab2f06ff33fb499ee42b228ce inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77">getNumDifferentNbr</a> ()</td></tr>
<tr class="memdesc:a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of neigbors excluding self (i.e., ignoring self cycles) <br /></td></tr>
<tr class="separator:a1fc8f9e57e5b9bfeaf5a33fe5f4d3d77 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd0b2f0822224ebb4ee9b2d9b6ae7ba0 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#afd0b2f0822224ebb4ee9b2d9b6ae7ba0">getChildren</a> (vector&lt; IdType &gt; &amp;vectChildren)</td></tr>
<tr class="memdesc:afd0b2f0822224ebb4ee9b2d9b6ae7ba0 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex id of all children.  <a href="#afd0b2f0822224ebb4ee9b2d9b6ae7ba0">More...</a><br /></td></tr>
<tr class="separator:afd0b2f0822224ebb4ee9b2d9b6ae7ba0 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b9a5ee6ceed8269cfde06116fa4fb30 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a6b9a5ee6ceed8269cfde06116fa4fb30">isConnected</a> (IdType node)</td></tr>
<tr class="memdesc:a6b9a5ee6ceed8269cfde06116fa4fb30 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if a given node is connected to the current node.  <a href="#a6b9a5ee6ceed8269cfde06116fa4fb30">More...</a><br /></td></tr>
<tr class="separator:a6b9a5ee6ceed8269cfde06116fa4fb30 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a776920aff39617337c8c0d11100fa948 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a776920aff39617337c8c0d11100fa948"></a>
DataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a776920aff39617337c8c0d11100fa948">get_value</a> ()</td></tr>
<tr class="memdesc:a776920aff39617337c8c0d11100fa948 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex data field. <br /></td></tr>
<tr class="separator:a776920aff39617337c8c0d11100fa948 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a782c440fc6c8ae87291f142239260091 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a782c440fc6c8ae87291f142239260091"></a>
AlgDataType &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a782c440fc6c8ae87291f142239260091">getAlgData</a> ()</td></tr>
<tr class="memdesc:a782c440fc6c8ae87291f142239260091 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the algorithm data. <br /></td></tr>
<tr class="separator:a782c440fc6c8ae87291f142239260091 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c2f4752f5f1df26b608ddc6400777aa inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c2f4752f5f1df26b608ddc6400777aa"></a>
IdType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a5c2f4752f5f1df26b608ddc6400777aa">getId</a> ()</td></tr>
<tr class="memdesc:a5c2f4752f5f1df26b608ddc6400777aa inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the vertex id. <br /></td></tr>
<tr class="separator:a5c2f4752f5f1df26b608ddc6400777aa inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a077ed089a01250a2d15fc5acc7e3aaf6 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a077ed089a01250a2d15fc5acc7e3aaf6"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a077ed089a01250a2d15fc5acc7e3aaf6">getBeginOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a077ed089a01250a2d15fc5acc7e3aaf6 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator to the start of the outEdges buffer. <br /></td></tr>
<tr class="separator:a077ed089a01250a2d15fc5acc7e3aaf6 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af614e7143fb092f6a3115514de319b inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3af614e7143fb092f6a3115514de319b"></a>
OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a3af614e7143fb092f6a3115514de319b">getEndOutEdgeIterator</a> ()</td></tr>
<tr class="memdesc:a3af614e7143fb092f6a3115514de319b inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator to the last edge of the outEdges buffer. <br /></td></tr>
<tr class="separator:a3af614e7143fb092f6a3115514de319b inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb1a96d0d3ccc33e97c1b84af0a045d7 inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">OUT_EDGE_ITERATOR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#afb1a96d0d3ccc33e97c1b84af0a045d7">get_edge</a> (ID_TYPE target)</td></tr>
<tr class="memdesc:afb1a96d0d3ccc33e97c1b84af0a045d7 inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator to the output edge with a given target.  <a href="#afb1a96d0d3ccc33e97c1b84af0a045d7">More...</a><br /></td></tr>
<tr class="separator:afb1a96d0d3ccc33e97c1b84af0a045d7 inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0521f19891d34cc1dfba07ec5bd83cd inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#af0521f19891d34cc1dfba07ec5bd83cd">isBiVertex</a> ()</td></tr>
<tr class="memdesc:af0521f19891d34cc1dfba07ec5bd83cd inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the vertex type is <a class="el" href="classTIGLContainersBiVertex.html" title="Core vertex class with input and output edge buffers. ">TIGLContainersBiVertex</a>.  <a href="#af0521f19891d34cc1dfba07ec5bd83cd">More...</a><br /></td></tr>
<tr class="separator:af0521f19891d34cc1dfba07ec5bd83cd inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace8a3901abb1f925cd442ff24200b45f inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace8a3901abb1f925cd442ff24200b45f"></a>
virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ace8a3901abb1f925cd442ff24200b45f">compute</a> (void *pIn=0, void *pOut=0)</td></tr>
<tr class="memdesc:ace8a3901abb1f925cd442ff24200b45f inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core compute function: trivial realization in the core class. This function is overriden by the algorithm class. <br /></td></tr>
<tr class="separator:ace8a3901abb1f925cd442ff24200b45f inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53510bd15bbce08013705a779d3b191a inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53510bd15bbce08013705a779d3b191a"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a53510bd15bbce08013705a779d3b191a">init</a> ()</td></tr>
<tr class="memdesc:a53510bd15bbce08013705a779d3b191a inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Core init function: trivial realization in the core class. This function is overriden by the algorithm class. <br /></td></tr>
<tr class="separator:a53510bd15bbce08013705a779d3b191a inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcd5a44e577f8d3f69b6fb0b5f4fc2ec inherit pub_methods_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcd5a44e577f8d3f69b6fb0b5f4fc2ec"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#afcd5a44e577f8d3f69b6fb0b5f4fc2ec">getEdgesSize</a> ()</td></tr>
<tr class="memdesc:afcd5a44e577f8d3f69b6fb0b5f4fc2ec inherit pub_methods_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns memory usage for edges. <br /></td></tr>
<tr class="separator:afcd5a44e577f8d3f69b6fb0b5f4fc2ec inherit pub_methods_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classTIGLContainersBiVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classTIGLContainersBiVertexBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classTIGLContainersBiVertexBase.html">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td></tr>
<tr class="memitem:a05f5f7777608e6b5c50f3ec7a52157e1 inherit pro_attribs_classTIGLContainersBiVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05f5f7777608e6b5c50f3ec7a52157e1"></a>
vector&lt; EdgeType &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersBiVertexBase.html#a05f5f7777608e6b5c50f3ec7a52157e1">inEdges</a></td></tr>
<tr class="memdesc:a05f5f7777608e6b5c50f3ec7a52157e1 inherit pro_attribs_classTIGLContainersBiVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">holds the id's of the input edges and the src vertices <br /></td></tr>
<tr class="separator:a05f5f7777608e6b5c50f3ec7a52157e1 inherit pro_attribs_classTIGLContainersBiVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classTIGLContainersVertexBase"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classTIGLContainersVertexBase')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classTIGLContainersVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td></tr>
<tr class="memitem:a3f6edf01d8830e0b5b8ad74549eeb085 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f6edf01d8830e0b5b8ad74549eeb085"></a>
IdType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a3f6edf01d8830e0b5b8ad74549eeb085">id</a></td></tr>
<tr class="memdesc:a3f6edf01d8830e0b5b8ad74549eeb085 inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">unique vertex ID <br /></td></tr>
<tr class="separator:a3f6edf01d8830e0b5b8ad74549eeb085 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42054ed48c73a733e99f3ef80698e50b inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a42054ed48c73a733e99f3ef80698e50b"></a>
DataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a42054ed48c73a733e99f3ef80698e50b">vertexData</a></td></tr>
<tr class="memdesc:a42054ed48c73a733e99f3ef80698e50b inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">associated generic data <br /></td></tr>
<tr class="separator:a42054ed48c73a733e99f3ef80698e50b inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac36b610433331bb36b1c05a1fa942418 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac36b610433331bb36b1c05a1fa942418"></a>
AlgDataType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#ac36b610433331bb36b1c05a1fa942418">algData</a></td></tr>
<tr class="memdesc:ac36b610433331bb36b1c05a1fa942418 inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Algorithm-specific data. <br /></td></tr>
<tr class="separator:ac36b610433331bb36b1c05a1fa942418 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e0e018b11f1fbe310789c332efed1b9 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8e0e018b11f1fbe310789c332efed1b9"></a>
OUT_EDGE_BUF&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTIGLContainersVertexBase.html#a8e0e018b11f1fbe310789c332efed1b9">outEdges</a></td></tr>
<tr class="memdesc:a8e0e018b11f1fbe310789c332efed1b9 inherit pro_attribs_classTIGLContainersVertexBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">output edge buffer <br /></td></tr>
<tr class="separator:a8e0e018b11f1fbe310789c332efed1b9 inherit pro_attribs_classTIGLContainersVertexBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename DataType, typename AlgDataType, typename EdgeType, typename IdType = uint_fast32_t&gt;<br />
class TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</h3>

<p>Core vertex class with input and output edge buffers. </p>
<dl class="section warning"><dt>Warning</dt><dd>This class has not been used in the current release </dd></dl>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="tiglContainersBivertex_8hpp_source.html">tiglContainersBivertex.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
